> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create track

> Create a new track



## OpenAPI

````yaml post /videos/{VIDEO_ID}/tracks
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /videos/{VIDEO_ID}/tracks:
    parameters:
      - $ref: '#/components/parameters/videoId'
    post:
      tags:
        - Videos
      summary: Create track
      description: Create a new track
      requestBody:
        $ref: '#/components/requestBodies/Track'
      responses:
        '200':
          $ref: '#/components/responses/Track'
        '400':
          $ref: '#/components/responses/Error400'
components:
  parameters:
    videoId:
      name: VIDEO_ID
      in: path
      description: ID of the video
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  requestBodies:
    Track:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              label:
                description: Their language as a string
                type: string
                minLength: 1
                maxLength: 20
                example: English
              language:
                description: Their language as a code
                type: string
                enum:
                  - de-DE
                  - en-AU
                  - en-GB
                  - en-US
                  - es-ES
                  - fr-FR
                  - it-IT
                example: en-US
              kind:
                description: Their type
                type: string
                enum:
                  - subtitles
                example: subtitles
              url:
                description: The URL of a WebVTT .vtt file we can fetch the subtitles from
                type: string
                format: uri
                maxLength: 200
              auto_generated:
                description: Generate using AI
                type: boolean
                example: false
  responses:
    Track:
      description: Track
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/Track'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error400:
      description: Invalid request
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Invalid data sent
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Invalid data sent
  schemas:
    Track:
      type: object
      required:
        - id
        - language
        - label
        - kind
        - url
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        language:
          type: string
          enum:
            - de-DE
            - en-AU
            - en-GB
            - en-US
            - es-ES
            - fr-FR
            - it-IT
          example: en-US
        label:
          type: string
          minLength: 1
          maxLength: 200
          example: English
        kind:
          type: string
          enum:
            - subtitles
            - captions
          example: subtitles
        url:
          type: string
          minLength: 1
          maxLength: 200
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````